# H3DNetworkingUtils::RemoteSFTime Class Reference

The RemoteSFTime class provides a remote single time field. More...

`#include <H3DNetworkingUtils/RemoteSFTime.h>`

Inheritance diagram for H3DNetworkingUtils::RemoteSFTime:

List of all members.

## Public Member Functions
| RemoteSFTime (H3D::Inst< H3D::SFTime > _sent_t=0, H3D::Inst< SFTimeTransfer > _received_t=0)
| Constructor.
## Public Attributes
auto_ptr< H3D::SFTime > | send_t
| Use this from C++ only, not from X3D (see detailed description) access type: inputOnly basic type: SFTime default value: 0.
auto_ptr< SFTimeTransfer > | received_t
| Use this from C++ only, not from X3D (see detailed description) access type: outputOnly basic type: SFTime default value: 0.
## Static Public Attributes
static H3D::H3DNodeDatabase | database
| X3D interface.
## Protected Member Functions
virtual void | readValue ()
| Read the parts of a fields value into the received field.
virtual void | writeValue (H3DUtil::H3DTime const &val)
| Write the correct parts of the value.

## Detailed Description

The RemoteSFTime class provides a remote single time field.

It inherits most of its funtionality from its parent class. This class adds a X3D database and the details of how to read and write the field data.
Use the 'toBeSent' and 'received' fields of the base class. The structure of this class is different to that of other RemoteSF* classes in this library. This is because and H3D::SFTime is implemented as holding a double, but can only be routed to and from an SFTime. This class creates a send_t and received_t which respectively link to the normal, toBeSent and received fields. This satisfies the type checking when you are routing in and out. From X3D, vrml & python, the routing is the same, (ie to 'toBeSent' and from 'received') as the mapping to string field names hides the send-t and received-t. From C++ route to send_t and received_t.
Examples:

- RemoteMFTestServer.x3d
- RemoteMFTestClient.x3d

The documentation for this class was generated from the following files:

- RemoteSFTime.h
- RemoteSFTime.cpp